part of 'buy_later_cubit.dart';

@immutable
abstract class BuyLaterState  extends Equatable {
  @override
  List<Object> get props => [];
}

class BuyLaterInitial extends BuyLaterState {}
class BuyLaterLoading extends BuyLaterState {
  BuyLaterLoading();
  @override
  String toString() => 'BuyLaterLoading';
}
class BuyLaterFailure extends BuyLaterState {
  final String error;

  BuyLaterFailure(this.error);

  @override
  String toString() => 'BuyLaterFailure { error: $error }';
}